%define modname svn
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A47_%{modname}.ini

Summary:	PHP Bindings for the Subversion Revision control system
Name:		php-%{modname}
Version:	1.0.3
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/svn
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# To be sent upstream when finished, currently sorting does not work
#75206
Patch0:		php7.patch
BuildRequires:	php-devel >= 3:7.0.0
BuildRequires:	subversion-devel
Requires:	php >= 3:7.0.0

%description
PHP Bindings for the Subversion Revision control system.

%prep

%setup -q -n %{modname}-%{version}
%autopatch -p1
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix attribs
find -type f | xargs chmod 644


# instead of a patch
perl -pi -e "s|apr-0|apr-1|g" config.m4
perl -pi -e "s|apache2|apache|g" config.m4

# fix version
perl -pi -e "s|^#define PHP_SVN_VERSION .*|#define PHP_SVN_VERSION \"%{version}\"|g" php_svn.h

%build
%serverbuild

export CPPFLAGS="`apr-1-config --cppflags`"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc examples CREDITS EXPERIMENTAL package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Sun Nov 11 2018 mokraemer <mokraemer> 1.0.3-2.mga6
+ Revision: 1329559
- recompile for php change
- php7 backport packages
- import php7 packages for backport
- updated requirement

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-4.mga7
+ Revision: 1300243
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1.0.3-3.mga7
+ Revision: 1217398
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1.0.3-2.mga7
+ Revision: 1180985
+ rebuild (emptylog)

* Tue Nov 14 2017 zezinho <zezinho> 1.0.3-1.mga7
+ Revision: 1177368
- new version
+ pterjan <pterjan>
- Update the patch to sort results

* Fri Mar 18 2016 pterjan <pterjan> 1.0.2-11.mga6
+ Revision: 992678
- Add a first version of a patch to support subversion 1.9
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-9.mga5
+ Revision: 748986
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-8.mga5
+ Revision: 687550
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.0.2-7.mga5
+ Revision: 616590
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1.0.2-6.mga4
+ Revision: 567645
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-5.mga4
+ Revision: 527866
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.0.2-4.mga4
+ Revision: 442703
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.0.2-3.mga3
+ Revision: 393331
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 377603
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 spuhler <spuhler> 1.0.2-1.mga3
+ Revision: 275467
- removed svn-1.0.1-svn_fixes.diff
- upgrade to 1.0.2

* Tue Mar 20 2012 spuhler <spuhler> 1.0.1-4.mga2
+ Revision: 224971
- replaced Patch0:svn-0.5.0-format_not_a_string_literal_and_no_format_arguments.diff
  with svn-1.0.1-svn_fixes.diff
+ luigiwalser <luigiwalser>
- httpd restart is handled by filetriggers now

* Mon Feb 07 2011 spuhler <spuhler> 1.0.1-3.mga1
+ Revision: 48240
- removed buildroot definition from .spec
- imported package php-svn

